from lookup_hardware import lookup_hardware
import re



#################################
# Data for 
# Stations 
# (Access Points)
#################################

def parse_clients(clients_list):

    nclients = len(clients_list)
    
    clhead = clients_list[0]
    
    clients_head = [j.strip() for j in clhead]
    
    clients_data = [clients_list[i] for i in range(1,nclients)]
    
    for i,row in enumerate(clients_data):
    
        c_mac_ix = clients_head.index('BSSID')
        c_pow_ix = clients_head.index('Power')
    
        c_mac = row[c_mac_ix].strip()
        c_pow = row[c_pow_ix].strip()
    
        if c_mac=='(not associated)':
            continue
    
        mac_prefix = c_mac[0:8]
        c_mfg = lookup_hardware(mac_prefix)
    
        ######################
        # Print out some information
        print "="*40
        print "Client MAC:",c_mac
        print "Manufacturer:",c_mfg
        print "Power:",c_pow
        print ""









