import numpy as np
import matplotlib.pyplot as plt
import matplotlib.animation as animation

"""
Plot monitor of wireless networks.
"""

def update_line(num, data, line):
    line.set_data(data[...,:num])
    return line,


# find some devices

devices = set()

def PacketHandler(pkt):
    if pkt.haslayer(Dot11):
        if pkt.addr2 and (pkt.addr2 not in devices):
            print "[+] New MAC..."
            devices.add(pkt.addr2)

sniff( iface=sys.argv[1], count=int(sys.argv[2]), prn=PacketHandler )


