import urllib2
from bs4 import BeautifulSoup

def lookup_hardware(mac_string):
    """
    lookup_hardware(mac_string)

    mac_string: string in the form "AA:BB:CC"
    
    returns string of manufacturer, if found
    """

    mac1,mac2,mac3 = mac_string.split(":")
    
    page = urllib2.urlopen('http://coffer.com/mac_find/?string='+mac1+'%3A'+mac2+'%3A'+mac3).read()
    soup = BeautifulSoup(page)

    try:
        z2 = soup.find_all('tr')[1]
        z3 = z2.find_all('td')[1].text
        return z3

    except:
        return ''

