import sys
from scapy.all import *

clientprobes = []
total = 1000

def PacketHandler(pkt):

    if pkt.haslayer(Dot11ProbeReq):
        
        if len(pkt.info) > 0:
            testcase = pkt.addr2 + "---" + pkt.info
            if testcase not in clientprobes:

                clientprobes.add(testcase)
                print "New probe found: " + pkt.addr2 + " " + pkt.info

                print "\n-------------------------------------\n"
                print "Client Probes Table \n"
                counter = 1
                for probe in clientprobes :
                    [client, ssdid] = probe.split('---')
                    print counter, client, ssid
                    counter = counter + 1
                print "\n-----------------------------------\n"

sniff(iface = "wlan0", count = total, prn = PacketHandler)

