# Listening

There are many ways to listen.

## Airodump-ng

`airodump/`

One way is to listen with airodump-ng, 
and parse its csv output into data.

`everything_airodump.py` - function for parsing an Airdoump
"everything dump", which listens to everything going on 
on each Wifi channel.

`read_airodump.py` - function to parse Airodump csv files
into Python lists, for slicing and dicing.

## Scapy

`scrapy/`

Another way is to use scapy, and using Python
to script everything away.

`scapy_monitor.py` - monitors the wifi signals,
similar to an airodump "everything dump," 
and prints information about each AP and client,
similar to the functions above.

## Besside-ng (in Attacks)

The Joe Pesci method, which uses besside-ng, 
is a brute-force deauth method that gets you
whatever handshake you want, as long as you
give Joe Pesci a MAC address.

This is sort of like listening,
but is more like listening with a 
big stick. 

Note that besside-ng is an attack, 
so it's in the attacks directory.

